Commit f753e9aa authored by Jim Blandy's avatar Jim Blandy
Browse files

* make-dist: Check that the manual reflects the same version of

	Emacs as stated in lisp/version.el.  Edit that version number into
	the README file.
parent 5116f055
......@@ -69,6 +69,13 @@ if [ ! "${version}" ]; then
exit 1
fi
if grep -s "GNU Emacs version ${version}" ./man/emacs.texi > /dev/null; then
true
else
echo "You must update the version number in \`./man/emacs.texi'"
exit 1
fi
### Make sure the subdirectory is available.
tempparent="make-dist.tmp.$$"
if [ -d ${tempparent} ]; then
......@@ -105,6 +112,15 @@ ln make-dist ${tempdir}
### Copy config.sub; it's a cross-filesystem symlink.
cp config.sub ${tempdir}
echo "Updating version number in README."
(cd ${tempdir}
awk \
'$1 " " $2 " " $3 " " $4 " " $5 == "This directory tree holds version" { $6 = version; print $0 }
$1 " " $2 " " $3 " " $4 " " $5 != "This directory tree holds version"' \
version=${version} README > tmp.README
mv tmp.README README)
echo "Creating subdirectories."
# I think we're not going to distribute anything in external-lisp, so
# I've removed it from this list.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment